com.datecs.crypto

## Enum DUKPT.DerivationPurpose

- java.lang.Object
- - java.lang.Enum<DUKPT.DerivationPurpose>
  - - com.datecs.crypto.DUKPT.DerivationPurpose

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DUKPT.DerivationPurpose>
  Enclosing class:
    DUKPT

      public static enum DUKPT.DerivationPurpose
      extends java.lang.Enum<DUKPT.DerivationPurpose>

  Identifies if this derivation is to create an initial key or any other key type to help select which derivation data table to use.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DerivationOrWorkingKey`
    `InitialKey`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DUKPT.DerivationPurpose` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DUKPT.DerivationPurpose[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### InitialKey

          public static final DUKPT.DerivationPurpose InitialKey

    - #### DerivationOrWorkingKey

          public static final DUKPT.DerivationPurpose DerivationOrWorkingKey

  - ### Method Detail

    - #### values

          public static DUKPT.DerivationPurpose[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DUKPT.DerivationPurpose c : DUKPT.DerivationPurpose.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DUKPT.DerivationPurpose valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null